Subject: RE: UDVM - INPUT beyond message [was: RE: [rohc] input bytes beyo nd message ]

From: "Surtees, Abigail" <[email-masked]>
Date: Fri, 5 Dec 2003 10:00:57 -0000

Hi Srini,

There was a conclusion (at IETF 56), which is included in section 3.1 of the implementer's guide http://www.ietf.org/internet-drafts/draft-ietf-rohc-sigcomp-impl-guide-01.txt.  You are right, the residual bytes would be available.

Regards,

Abbie

> There was a discussion on the subject on this list.
> What was decided?? Does anyone know.
> Here is the pointer to the email-exchanges 
>   
> http://www1.ietf.org/mail-archive/working-groups/rohc/current/
msg01364.html

RFC 3320 does not list any specifics in this regard.
It says "If the instruction requests data that lies beyound
the end of the SigComp message, no data is returned".

Are the residual bytes in the input buffer - discarded?
Or are they available for the next valid INPUT instruction?
I guess they would be available right?

Abigail Surtees
Lajos Zaccomer 
One of you care to comment?

Thanks very much
-Srini 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Lajos Zaccomer (IJ/ETH)" <[email-masked]>
Date: Fri, 5 Dec 2003 08:51:14 +0100

Hi Srini,

I'm sure you'll find satisfactory answers to your questions (this one and of your next mail)  in http://www.ietf.org/internet-drafts/draft-ietf-rohc-sigcomp-impl-guide-01.txt

BR/Zacco

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of [email-masked]
Sent: Thursday, December 04, 2003 8:49 PM
To: [email-masked]
Subject: UDVM - INPUT beyond message [was: RE: [rohc] input bytes beyond message ]

There was a discussion on the subject on this list.
What was decided?? Does anyone know.
Here is the pointer to the email-exchanges 
  http://www1.ietf.org/mail-archive/working-groups/rohc/current/msg01364.html

Abigail Surtees
Lajos Zaccomer 

Thanks very much
-Srini